import javax.script.*;      // JSR-223

class Code14_java_jsr223
{
    public static void main (String args[]) throws ScriptException
    {
        ScriptEngineManager mgr = new ScriptEngineManager();
        ScriptEngine     engine = mgr.getEngineByName("rexx");
        ScriptContext        sc = engine.getContext();

        // ooRexx code to interact with the Java object argument
        String code= "use arg javaColl                           \n" +
               "tm=.bsf~new('java.util.TreeMap') /* ordered   */ \n" +
               "tm~putAll(javaColl)     /* add all properties */ \n" +
               "do counter i with index p item val over tm       \n" +
               "   say i'.' pp(p)':' pp(val)                     \n" +
               "end                                              \n" +
               "::requires 'BSF.CLS' /* get ooRexx-Java bridge */\n" ;
        // set argument for script (an Array of Object)
        sc.setAttribute(ScriptEngine.ARGV,
                        new Object[] { System.getProperties() },
                        ScriptContext.ENGINE_SCOPE);
        engine.eval(code);
        System.exit(0);
    }
}
